2 Replies Latest reply: Mar 16, 2014 4:49 PM by Niel
Mattcais Level 1 Level 1 (0 points)

Is there any way to get iTunes on my older MacBook ( running OS 10.5.1.1, the highest os i can run on this model) to recognise my iPod touch 5 (iOS 7).

I cannot upgrade iTunes to the latest version as it requires OS10.6 minimum.

Is there a work around?

Thanks


MacBook, iOS 5.1.1, iTunes won't recognise iPod touch 5